﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GhostPullEffect : MonoBehaviour {

    public float ghostPullStrength = 1f;
    public Transform armJoint;
    public Transform ghostTrap;
    public GameObject PullOnEffect;
    private float pullTimer = 0f;
    public float pullDelay = 0.05f;
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}

    void OnTriggerEnter(Collider col)
    {
        if (col.transform.tag != "Ghost")
            return;
        Debug.Log("Collission Detected: " + col.transform.tag);
        PullOnEffect.SetActive(true);
    }

    void OnTriggerStay(Collider col)
    {
        pullTimer -= Time.deltaTime;
        if (col.transform.tag != "Ghost")
            return;
        if (pullTimer <=0)
        {
            pullTimer = pullDelay;
            Vector3 pullPosition = armJoint.position;

            //Debug.Log("Moving Ghost towards " + pullPosition);
            //col.transform.position = Vector3.MoveTowards(col.transform.position, pullPosition, Time.deltaTime * ghostPullStrength);
            object[] parameters = new object[2];
            parameters[0] = pullPosition;
            parameters[1] = Time.deltaTime * ghostPullStrength;
            col.gameObject.SendMessage("MoveTowards", parameters);
        }
    }

    //IEnumerator lerp(Transform trans, Vector3 targetPos)
    //{
    //    trans.position = Vector3.MoveTowards(trans.position, targetPos, Time.deltaTime * ghostPullStrength);
    //    yield return new WaitForSeconds(pullDelay);
    //}

    void OnTriggerExit(Collider col)
    {
        if (col.transform.tag != "Ghost")
            return;
        //Debug.Log("Collission Detected: " + col.transform.tag);
        PullOnEffect.SetActive(false);
    }
}
