﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GhostTrapped : MonoBehaviour {

    // Use this for initialization
    public float shrinkSpeed = 0.1f;
    public float rotationSpeed = 15f;
    public Transform getTrappedTarget;
    public float moveToTrapSpeed = 0.1f;
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}

    public void GhostIsTrapped(object[] parameters)
    {
        Debug.Log("Ghost knows it is trapped.");
        float secondsToCloseChest = (float)parameters[0];
        StartCoroutine(ShrinkGhost(secondsToCloseChest));
    }

    IEnumerator ShrinkGhost(float shrinkTime)
    {
        while (shrinkTime > 0)     //While the time is more than zero...
        {
            transform.localScale -= new Vector3(shrinkSpeed, shrinkSpeed, shrinkSpeed);     //...rotate the object.
            shrinkTime -= Time.deltaTime;     //Decrease the time- value one unit per second.
            Vector3 movement = Vector3.MoveTowards(transform.position, getTrappedTarget.position, Time.deltaTime * moveToTrapSpeed);
            transform.position = movement;
            transform.Rotate(new Vector3(0, 0, rotationSpeed));
            Debug.Log("Moving to: " + getTrappedTarget.position);
            yield return null;     //Loop the method.
        }
        gameObject.SetActive(false);
    }
}
