﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DeviceTilt : MonoBehaviour
{
    public string Rotation;

    Queue<float> queue1, queue2, queue3;

    void Start()
    {
        queue1 = new Queue<float>();

        queue1.Enqueue(0f);
        queue1.Enqueue(0f);
        queue1.Enqueue(0f);
        queue1.Enqueue(0f);
        queue1.Enqueue(0f);

        queue2 = new Queue<float>();

        queue2.Enqueue(0f);
        queue2.Enqueue(0f);
        queue2.Enqueue(0f);
        queue2.Enqueue(0f);
        queue2.Enqueue(0f);

        queue3 = new Queue<float>();

        queue3.Enqueue(0f);
        queue3.Enqueue(0f);
        queue3.Enqueue(0f);
        queue3.Enqueue(0f);
        queue3.Enqueue(0f);
    }

    // Update is called once per frame
    public string UpdateGyroscope()
    {

        float x = Input.acceleration.x;
        float y = Input.acceleration.y;
        float z = -Input.acceleration.z;

        queue1.Dequeue();

        queue1.Enqueue(x);

        queue2.Dequeue();

        queue2.Enqueue(y);

        queue3.Dequeue();

        queue3.Enqueue(z);

        Vector3 pos = new Vector3(
            computeAverage(queue1),
            computeAverage(queue2),
            computeAverage(queue3));

        Quaternion rotation = Quaternion.LookRotation(pos);

        Vector3 Rotation = rotation.eulerAngles;

        return Rotation.ToString();

    }

    float computeAverage(Queue<float> queue)
    {
        float tot = 0f;

        foreach (float v in queue)
        {
            tot += v;
        }

        return tot / queue.Count;
    }
}
