﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class GameOverMenu : MonoBehaviour {
	public Canvas lostView;
	public Canvas winView;

	// Use this for initialization
	void Start () {
		lostView = lostView.GetComponent<Canvas> ();
		winView = winView.GetComponent<Canvas> ();

		SetGameOverView();
	}

	void SetGameOverView() {
		if (PlayerPrefs.GetInt("gameResult") == 0) {
			lostView.enabled = true;
			winView.enabled = false;
		}
		else {
			lostView.enabled = false;
			winView.enabled = true;
		}
	}

	public void noPress() {
		SceneManager.LoadScene(0);
	}

	public void yesPress() {
		SceneManager.LoadScene(1);
	}
}
