﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class menuScript : MonoBehaviour {

	public Canvas quitMenu;
	public Button startButton;
	public Button exitButton;
	public RawImage buttonHover;

	private bool buttonSelected;

	// Use this for initialization
	void Start () {
		quitMenu = quitMenu.GetComponent<Canvas> ();
		startButton = startButton.GetComponent<Button> ();
		exitButton = exitButton.GetComponent<Button> ();
		buttonHover = buttonHover.GetComponent<RawImage> ();

		quitMenu.enabled = false;
	}
	
	// Update is called once per frame
	void Update () {

	}

	public void exitPress() {
		quitMenu.enabled = true;
		startButton.enabled = false;
		exitButton.enabled = false;
	}

	public void yesPress() {
		Application.Quit();
	}

	public void noPress() {
		quitMenu.enabled = false;
		startButton.enabled = true;
		exitButton.enabled = true;
	}

	public void playPress() {
		SceneManager.LoadScene(1);
	}

	public void OnMouseOverExit() {
		Vector3 hoverElementPosition = buttonHover.transform.localPosition;
		hoverElementPosition.y = 10;
		buttonHover.transform.localPosition = hoverElementPosition;
	}

	public void OnMouseOverNewGame() {
		Vector3 hoverElementPosition = buttonHover.transform.localPosition;
		hoverElementPosition.y = 60;
		buttonHover.transform.localPosition = hoverElementPosition;
	}
}
